#include <math.h>
#include "Trajectoire.h"
#include "Trajectoire_composees.h"

void Trajectoire_composee_get_longueur(struct trajectoire_t * trajectoire_composee){
    trajectoire_composee->longueur = 0;
    for(unsigned int i = 0 ; i<trajectoire_composee->nb_trajectoire ; i++) {
        trajectoire_composee->longueur += Trajectoire_get_longueur_mm(trajectoire_composee->trajectoires[i]);
    }
}


struct point_xyo_t Trajectoire_composee_get_point(struct trajectoire_t * trajectoire_composee, double abscisse){
    // Obtenir la trajectoire sur laquelle nous sommes...
    int index_trajectoire;
    double abscisse_etendue, abscisse_locale;

    abscisse_etendue = abscisse * trajectoire_composee->nb_trajectoire;
    index_trajectoire = (int) floor(abscisse_etendue);
    abscisse_locale = abscisse_etendue - floor(abscisse_etendue);

    return Trajectoire_get_point(trajectoire_composee->trajectoires[index_trajectoire], abscisse_locale);
}

